﻿using System;
using System.IO;
using Adguard.Core.Api.ProxyServer.Configs;

namespace Adguard.Core.Tests.TestApi
{
    /// <summary>
    /// Helper class for generating any CoreLibs-related configurations
    /// </summary>
    internal static class TestConfigurationHelper
    {
        internal static CoreConfiguration GetNewCoreConfiguration()
        {
            string coreLibsDirectory =  Path.Combine(
                AppDomain.CurrentDomain.BaseDirectory,
                "CoreLibs",
                $"{Guid.NewGuid()}_TestCoreLibs");
            Directory.CreateDirectory(coreLibsDirectory);
            CoreConfiguration coreConfiguration = new CoreConfiguration
            {
                CorelibsDirectory = coreLibsDirectory,
                AppName = "testapp",
                AppVersion = "1.0.0",
                SafebrowsingV2Enabled = true
            };

            return coreConfiguration;
        }
    }
}
